Subject: bug#36816: closed (Re: bug#36816: gcc-toolchain 9.1.0 can't link even a tiny simple C program)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 27 Jul 2019 13:26:03 +0000

Your bug report

#36816: gcc-toolchain 9.1.0 can't link even a tiny simple C program

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36816: gcc-toolchain 9.1.0 can't link even a tiny simple C program
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Sat, 27 Jul 2019 15:24:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Yep, works after reboot.  Sorry for the noise.

Subject: gcc-toolchain 9.1.0 can't link even a tiny simple C program
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Fri, 26 Jul 2019 17:16:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

so I've got a new drive and installed Guix (from the iso from the homepage) on it.

Then I ran guix pull.

Then I installed gcc-toolchain and tried to compile the following program:

int main() {
	return 42;
}

using

  gcc a.c

but I get:

ld: cannot find crt1.o: No such file or directory
ld: cannot find crti.o: No such file or directory

I tried rebooting, to no avail.

It used to work.

FWIW, I restored my $HOME from backup, but I think the per-user profiles are in
/var/guix/profiles/per-user, and I didn't restore anything in /var.